#ifndef BIRTHDAY12_H_
#define BIRTHDAY12_H_

#include <iostream>
using namespace std;

/**
 * A demonstration of friend functions, operator overloading,
 * and separate compilation.
 */
class Birthday
{
public:
    /**
     * Default constructor.
     */
    Birthday();

    /**
     * Constructor.
     * @param y the year
     * @param m the month
     * @param d the date
     */
    Birthday(int y, int m, int d);

    /**
     * Copy constructor.
     */
    Birthday(const Birthday& other);

    // Destructor.
    ~Birthday();

    int get_year() const;
    int get_month() const;
    int get_date() const;

    void set_year(int y);
    void set_month(int m);
    void set_date(int d);

    friend ostream& operator <<(ostream& outs, const Birthday& bd);

private:
    int year, month, date;
};

#endif
